| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Attributes
com.symantec.sepm.webservice.client.command.QuarantineCommand Class Reference

Provides detailed information about the Quarantine command. More...

## Public Member Functions
String | getCommandType ()
| Gets the command type. More...
void | setCommandType (String commandType)
| Sets the command type. More...
String | getTargetObjectType ()
| Gets the target object type. More...
void | setTargetObjectType (String objectType)
| Sets the target object type. More...
String[] | getTargetObjectIds ()
| Gets a list of object IDs based on object type. More...
void | setTargetObjectIds (String[] objectIds)
| Sets the list of target object IDs based on object type. More...

## Static Public Attributes
static final String | INPUT_ADMIN_QUARANTINE = "Quarantine"
| Input command type for Quarantine Command. More...
static final String | INPUT_ADMIN_QUARANTINE_UNDO = "Undo"
| Input command type for Undo Quarantine Command. More...

## Detailed Description

Provides detailed information about the Quarantine command.

This object is passed as a parameter to the runClientCommandQuarantine method of the Command Service API. It specifies the type of command to run and the target client computer or computer groups on which to run the command.

## Member Function Documentation

String com.symantec.sepm.webservice.client.command.QuarantineCommand.getCommandType | ( |  | ) |

Gets the command type.

Returns
  the command type string

void com.symantec.sepm.webservice.client.command.QuarantineCommand.setCommandType | ( | String | commandType | ) |

Sets the command type.

One of the following:

- "Quarantine" – Place the specified client computers or groups in the Quarantine. The Quarantine location is specified by the Quarantine policy, which must be applied before the command request can succeed.
- "Undo" – Removes the specified client computers or groups from the Quarantine and places them back in their original group or location.

Parameters

  commandType | the command type string to set

String com.symantec.sepm.webservice.client.command.QuarantineCommand.getTargetObjectType | ( |  | ) |

Gets the target object type.

Returns
  the targetObjectType string

void com.symantec.sepm.webservice.client.command.QuarantineCommand.setTargetObjectType | ( | String | objectType | ) |

Sets the target object type.

One of the following:

- "GROUP"
- "COMPUTER"

Parameters

  objectType |

String [] com.symantec.sepm.webservice.client.command.QuarantineCommand.getTargetObjectIds | ( |  | ) |

Gets a list of object IDs based on object type.

Returns
  the string that contains the target object IDs

void com.symantec.sepm.webservice.client.command.QuarantineCommand.setTargetObjectIds | ( | String[] | objectIds | ) |

Sets the list of target object IDs based on object type.

If object type = "COMPUTER" then the target object type contains a list of computer GUIDs. If object type = "GROUP" then the target object type contains the group GUID.

Parameters

  objectIds | a string that contains the target object IDs

## Member Data Documentation

final String com.symantec.sepm.webservice.client.command.QuarantineCommand.INPUT_ADMIN_QUARANTINE = "Quarantine"
| static

Input command type for Quarantine Command.

final String com.symantec.sepm.webservice.client.command.QuarantineCommand.INPUT_ADMIN_QUARANTINE_UNDO = "Undo"
| static

Input command type for Undo Quarantine Command.